Page MenuHomePhabricator

Pass "project" URL parameter to prefill fields for task creation
Closed, ResolvedPublic

Description

Quim wrote in T52:

Is it possible to point to a URL to create a task, with a project already pre-filled, akin to https://bugzilla.wikimedia.org/enter_bug.cgi?product=Analytics ? We could use these links in the wiki pages of the most popular projects, the ones that most likely will attract most new reporters: top key Wikimedia projects, Beta Features, extensions...

Details

Reference
fl60

Event Timeline

flimport raised the priority of this task from to High.Sep 12 2014, 1:22 AM
flimport set Reference to fl60.

aklapper wrote on 2014-04-09 14:53:29 (UTC)

Available URL parameters for task creation are listed in https://secure.phabricator.com/T3320

There is no &project=foo. I filed https://secure.phabricator.com/T4777 in upstream.

A template of an existing ticket could be passed (same as Bugzilla's "Clone") but this would also copy CC, priority and other settings. Example: Click http://fab.wmflabs.org/maniphest/task/create/?template=52

aklapper wrote on 2014-04-09 15:53:52 (UTC)

Fixed upstream. Wondering whether to close this ticket, or backport first to this Labs instance. Hmm.

qgil wrote on 2014-04-09 18:23:46 (UTC)

I think it is fine to mark it here as FIXED without waiting for a local implementation.

aklapper wrote on 2014-04-10 21:06:50 (UTC)

Closing this ticket as RESOLVED as it's resolved in upstream code.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:22 AM
flimport added a subscriber: Aklapper.
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM